## kawari8 8.2.8

=== debian/changelog ===
kawari8 (8.2.8-12) unstable; urgency=low

  * Update debian/patches/012_python3.patch
    - Use PyObject_CallObject to replace PyEval_CallObject
    - Fix FTBFS on Python 3.13 (Closes: #1091410)
  * debian/rules: set TZ to UTC for reproducible-builds (Closes: #1037267)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 26 Jan 2025 04:50:09 +0800

kawari8 (8.2.8-11.1) unstable; urgency=medium

  * Non-maintainer upload
  * Use the unpacked source in the source package (Closes: #1072870)
  * Use uscan's repack feature for the orig tarball
  * Exclude Windows binaries from source package

 -- Bastian Germann <bage@debian.org>  Sat, 13 Jul 2024 14:59:36 +0200

kawari8 (8.2.8-11) unstable; urgency=low

  * Upgrade to DebSrc3.0 (Closes: #1007495)
  * Bump debhelper version to 10.
  * Bump Standards-Version to 4.6.0: nothing needs to be changed.
  * Add autopkgtest

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 Mar 2022 16:30:47 +0800

kawari8 (8.2.8-10) unstable; urgency=low

  * Fix FTBFS with python3.8 (Closes: #953548)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 12 Mar 2020 02:09:52 +0800

kawari8 (8.2.8-9) unstable; urgency=low

  * debian/patches/012_python3.patch: Transit to python3 (Closes: #936781)
  * Update debian/copyright
  * Bump Standards-Version to 4.4.0

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 01 Sep 2019 15:18:27 +0800

kawari8 (8.2.8-8) unstable; urgency=low

  * Don't use stlport4.6. (Closes: #710000)
  * Update 009_kawari8-64bit-fix.patch to fix 64-bit crash (Closes: #702238)
  * Bump debhelper version to 9
  * Bump Standards-Version to 3.9.3

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 29 May 2013 15:29:19 +0800

kawari8 (8.2.8-7) unstable; urgency=low

  * Fix segfaults on 64bit arch (Closes: #693893)
    - Add patch 009_kawari8-64bit-fix.patch
    - Thanks to Shyouzou Sugitani <shy@users.sourceforge.jp>

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 24 Nov 2012 10:50:41 +0800

kawari8 (8.2.8-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch 008_fix_gcc4.7_FTBFS.patch (this->
    qualifier).
    Closes: #667219

 -- gregor herrmann <gregoa@debian.org>  Sun, 06 May 2012 16:28:01 +0200

kawari8 (8.2.8-6) unstable; urgency=low

  * debian/patches/007_fix_gcc4.5_FTBFS.patch: Fix FTBFS with gcc-4.5
    (Closes: #615675)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 Mar 2011 03:09:23 +0800

kawari8 (8.2.8-5) unstable; urgency=low

  * debian/patches/006_fix_crash_on_dlclose.patch:
    - Fix segfault on dlclose() in load_library(). (Closes: #602611)
    - Thanks to Shyouzou Sugitani <shy@m3.catvmics.ne.jp>
  * Bump Standards-Version to 3.9.1 - Nothing need to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 09 Nov 2010 01:33:18 +0800

kawari8 (8.2.8-4) unstable; urgency=low

  * Only use STLport4.6 on i386 architecture.
  * debian/patches/005_add_missing_includes.patch:
    - Add missing includes to fix FTBFS

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Feb 2010 21:30:07 +0800

kawari8 (8.2.8-3) unstable; urgency=low

  * debian/control:
    - Since stlport5.2 and stlport5.1 is going to be removed in Debian, we
      change Build-Depends back to stlport4.6
    - Change Maintainer field to my Debian account
    - Bump Standards-Version to 3.8.4: Nothing needs to be changed
    - Bump Build-Depends on debhelper 5 to 7
  * Move README.Debian-source to README.source. Add more information.
  * debian/compat: change compat from 5 to 7
  * debian/copyright: Use machine readable format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Feb 2010 07:05:59 +0800

kawari8 (8.2.8-2) unstable; urgency=low

  * Build depends on stlport5.2. (Closes: #521751)
  * Bump Standards-Version to 3.8.1 - Nothing need to be changed.

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Fri, 01 May 2009 13:59:07 +0800

kawari8 (8.2.8-1) unstable; urgency=low

  * New upstream release
  * Refine debian/copyright
  * Set doc-book sections to Games/Toys
  * Use python-config to build against current python version

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sun, 20 Apr 2008 23:35:17 +0800

kawari8 (8.2.7-1) unstable; urgency=low

  * New upstream release
    + Remove 002_kawari_log.cpp.patch which has been merged into the upstream
    + Refresh 001_gcc.mak.patch for new upstream version
  * Fix kawari_encode.sgml for lintian warning: manpage-has-bad-whatis-entry
  * Build-depending on stlport5.1 >= 5.1.5 to fix FTBFS on arm,mips(el)
  * Bump standard versions to 3.7.3
    + Use Homepage field instead of pseudo-field in long description
  * Add optional get-orig-source rule in debian/rules
  * Fix manpage-has-errors-from-man in kawari_encode.sgml
  * Add UPSTREAM_VERSION and ZIP_VERSION variable for ease maintenance.
  * Use wildcards in .install and .docs file. Thanks to Thomas Girard.

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sat, 23 Feb 2008 22:55:18 +0800

kawari8 (8.2.4-3) unstable; urgency=low

  * Link against libstlport5.1 (Closes: 448252)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sun, 28 Oct 2007 16:37:02 +0800

kawari8 (8.2.4-2) unstable; urgency=low

  * Improve package description (Closes: 421155)
  * Handling DEB_BUILD_OPTIONS=nostrip (Closes: 437247)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Thu, 16 Aug 2007 00:45:10 +0800

kawari8 (8.2.4-1) unstable; urgency=low

  * Initial Release (Closes: #411612)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sun, 17 Sep 2006 21:03:52 +0800
