=== debian/control ===
Source: kawari8
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: cdbs (>= 0.4.48),
               debhelper (>= 10),
               docbook-to-man,
               python3-dev (>= 3.8),
Standards-Version: 4.6.0
Homepage: http://kawari.sourceforge.net/

Package: kawari8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
XB-Python-Version: current
Suggests: ninix-aya
Description: Pseudo AI Shiori module used to create ghosts for Ukagaka
 Kawari is a conversation generating script language. It is usually used to
 develop ghosts for Ukagaka platform.
 .
 Ukagaka, also known as Nanika, is a platform on which provides mascot
 characters for the user's desktop. These mascot characters can say something
 which is programmatically generated. Conversations can be generated by
 programs which follows the Shiori standard. And the conversation-generating
 script we called it "ghost" which means the spirit of the mascot character.
 .
 This package also install the kawari8 plug-in for ninix-aya in order to
 perform ghosts based on kawari8.
