=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain.

DEB_SRCDIR                      := build/src
DEB_AUTO_CLEANUP_RCS            := yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_MAKEFILE	:= gcc.mak
DEB_MAKE_CLEAN_TARGET	:= clean

export TZ=UTC

build/kawari8::
	docbook-to-man debian/kosui.sgml > kosui.6
	docbook-to-man debian/kawari_encode.sgml > kawari_encode.6

binary-install/kawari8::
	mv debian/kawari8/usr/share/doc/kawari8/document \
		debian/kawari8/usr/share/doc/kawari8/html

cleanbuilddir/kawari8::
	$(RM) debian/stamp-patch-*.patch
