=== debian/watch ===
version=3
http://sf.net/kawari/ kawari-(.)(.)(.)\.zip
